classification
Title: Fix rough alphabetical order in Misc/ACKS
Type: Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, georg.brandl, martin.panter, python-dev, r.david.murray, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2015-11-22 15:44 by serhiy.storchaka, last changed 2015-11-25 14:17 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
acks_order-3.6.patch serhiy.storchaka, 2015-11-22 15:44 review
Messages (8)
msg255106 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-11-22 15:44
the list in Misc/ACKS is intended to be in rough alphabetical order by last names. But some lines breaks this order. Proposed patch restores ordering. It also removes duplicates for Richard Oudkerk.

Correct sorting is not easy due to different letter order in different alphabets and different collation rules in different languages. I tried to take it into account, but can make a mistake.
msg255115 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-11-22 22:50
I left one review comment about Maćkowiak. The other changes look okay.
msg255190 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-11-23 16:44
It says "rough" for a reason.  The ascii-only changes are probably fine, but the non-ascii ones may not be (MvL in particular caught my eye, but there was another) may be correct as they stand since those two were consistent (at the end of the alphabet).  I don't know, though; I don't know the alphabetization rules for the non-ascii names.

In short, it is better to leave the non-ascii names alone unless you are sure of the sorting rules of the native language of the individual involved :)
msg255195 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-11-23 17:04
As Georg Brandl said in msg197962, "Löwis" should be sorted as "Loewis" according to German rules.
msg255200 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-11-23 17:19
That would be being sure, then :)
msg255232 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-11-23 21:36
FWIW when I said it was okay apart from Maćkowiak, I guessed the accented letters were in German, Spanish, French and Polish alphabets. According to Wikipedia, sometimes the German “ö” (umlaut) is put after Z, but sorting with “oe” is also done, and I think it is better that way :)
msg255353 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-11-25 14:14
New changeset 68c7c6ac82d9 by Serhiy Storchaka in branch '3.4':
Issue #25697: Fixed rough alphabetical order in Misc/ACKS.
https://hg.python.org/cpython/rev/68c7c6ac82d9

New changeset 9925fb41c1d9 by Serhiy Storchaka in branch '3.5':
Issue #25697: Fixed rough alphabetical order in Misc/ACKS.
https://hg.python.org/cpython/rev/9925fb41c1d9

New changeset e61a864b703c by Serhiy Storchaka in branch 'default':
Issue #25697: Fixed rough alphabetical order in Misc/ACKS.
https://hg.python.org/cpython/rev/e61a864b703c

New changeset 8bdf8e7dd085 by Serhiy Storchaka in branch '2.7':
Issue #25697: Fixed rough alphabetical order in Misc/ACKS.
https://hg.python.org/cpython/rev/8bdf8e7dd085
msg255354 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-11-25 14:17
Thank you for your review Martin.
History
Date User Action Args
2015-11-25 14:17:06serhiy.storchakasetstatus: open -> closed
versions: + Python 2.7, Python 3.4, Python 3.5, Python 3.6
messages: + msg255354

resolution: fixed
stage: patch review -> resolved
2015-11-25 14:14:30python-devsetnosy: + python-dev
messages: + msg255353
2015-11-23 21:36:42martin.pantersetmessages: + msg255232
2015-11-23 17:19:27r.david.murraysetmessages: + msg255200
2015-11-23 17:04:43serhiy.storchakasetmessages: + msg255195
2015-11-23 16:44:54r.david.murraysetnosy: + r.david.murray
messages: + msg255190
2015-11-22 22:50:16martin.pantersetnosy: + martin.panter
messages: + msg255115
2015-11-22 15:44:48serhiy.storchakacreate